Bug 1956837 - Additional build of edk2 without SMM (dual build / sub-package) for SEV-ES [NEEDINFO]
Summary: Additional build of edk2 without SMM (dual build / sub-package) for SEV-ES
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: edk2
Version: 8.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 8.5
Assignee: Laszlo Ersek
QA Contact: zixchen
URL:
Whiteboard:
Depends On:
Blocks: edk2-rebase-rhel-8.5
TreeView+ depends on / blocked
 
Reported: 2021-05-04 14:13 UTC by Ademar Reis
Modified: 2021-05-13 06:44 UTC (History)
12 users (show)

Fixed In Version: edk2-20200602gitca407c7246bf-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Target Upstream Version:
mrezanin: needinfo? (zixchen)


Attachments (Terms of Use)

Description Ademar Reis 2021-05-04 14:13:20 UTC
We would like to evaluate the pros/cons and feasibility of having an extra build of edk2 streamlined for SEV-ES. A minimalistic binary is desired for a reduced footprint and attack surface, but it also might be required due to limitations in the implementation.

The idea here is to have multiple builds of edk2 generated from the same SRPM (as sub-packages).

Some upstream references:

[edk2-devel] [PATCH v3 0/5] SEV-ES TPM enablement fixes
https://edk2.groups.io/g/devel/message/74608 (Merged in commit range ab957f036f67..1e6b0394d6c0, via <https://github.com/tianocore/edk2/pull/1620>).

We're planning a rebase of edk2 in RHEL-8.5: Bug #1938238

(BTW, this bug is open to the public)

Comment 5 Laszlo Ersek 2021-05-10 10:44:58 UTC
Virt-QE: for the time being, the new subpackage / binary should only be sanity checked; it should work equivalently to the usual edk2-ovmf package, except you should expect that the Secure Boot feature is not built into the binary. Actual SEV-ES support will come with bug 1868079. Thanks!

Comment 6 Laszlo Ersek 2021-05-10 11:01:33 UTC
Virt-QE: comment 5 applies only to the raw QEMU command line. If you want to regression-test with libvirt, you'll have to wait until a libvirt RHBZ exists (and is fixed) for recognizing the "amd-sev-es" feature in the fw descriptor. The upstream libvirt ticket for that is <https://gitlab.com/libvirt/libvirt/-/issues/156>. Thanks.

Comment 7 Laszlo Ersek 2021-05-10 11:07:45 UTC
(In reply to Laszlo Ersek from comment #5)
> Virt-QE: for the time being, the new subpackage / binary should only be
> sanity checked; it should work equivalently to the usual edk2-ovmf package,
> except you should expect that the Secure Boot feature is not built into the
> binary. [...]

(In reply to Laszlo Ersek from comment #6)
> Virt-QE: comment 5 applies only to the raw QEMU command line. [...]

Note that the QEMU command line is affected. The following option must be *removed*, relative to what you are used to:

  -global driver=cfi.pflash01,property=secure,value=on

Thanks.

Comment 11 Yanan Fu 2021-05-13 02:31:26 UTC
Set Verified:Tested,SanityOnly as gating/tier1 test pass.


Note You need to log in before you can comment on or make changes to this bug.